<template>
  <div class="profilePage">
    <div class="avatar">
      <img src="../../assets/avataaars.png" alt="" />
    </div>
    <div class="infos">
      <div><strong>Email:</strong> {{ email }}</div>
      <div><strong>Username: </strong>{{ username }}</div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      id: this.$route.params.id,
      email: '',
      username: '',
      token: this.$store.state.accessToken,
    }
  },
  mounted() {
    this.auth()
  },
  methods: {
    auth() {
      if (this.token === '') {
        this.$router.push('/sign-up')
      } else {
        this.$axios
          .$get(`http://localhost:8000/600/users/${this.id}`, {
            headers: {
              Authorization: `Bearer ${this.token}`,
            },
          })
          .then((response) => {
            this.email = response.email
            this.username = response.username
          })
          .catch((error) => {
            if (error.request.status === 401) {
              alert('Erro 401: id do usuário não existe')
            } else {
              alert('Erro 403: Token não corresponde ao id do usuário')
            }
            this.$router.replace('/sign-in')
          })
      }
    },
  },
}
</script>

<style>
.profilePage {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  width: 50%;
}
.infos {
  width: 40%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
.avatar {
  height: 50%;
  width: 40%;
}
</style>
